// ======================================================================
//  MouseObserver.h --
// ======================================================================
//                   This file is a part of the book 
//             "Qt 4.8 Professional programming with C++"
// ======================================================================
//  Copyright (c) 2012 by Max Schlee
//
//  Email : Max.Schlee@neonway.com
//  Blog  : http://www.maxschlee.com
//
//  Social Networks
//  ---------------
//  FaceBook     : http://www.facebook.com/mschlee
//  Twitter      : http://twitter.com/Max_Schlee
//  2Look.me     : http://2look.me/NW100003
//  Xing         : http://www.xing.com/profile/Max_Schlee
//  VKontakte.ru : http://www.vkontakte.ru/max.schlee
// ======================================================================

#ifndef _MouseObserver_h_
#define _MouseObserver_h_

#include <QtGui>

// ======================================================================
class MouseObserver : public QLabel {
public:
    MouseObserver(QWidget* pwgt = 0); 

protected:
    virtual void mousePressEvent  (QMouseEvent* pe);
    virtual void mouseReleaseEvent(QMouseEvent* pe);
    virtual void mouseMoveEvent   (QMouseEvent* pe);

    void    dumpEvent     (QMouseEvent* pe, const QString& strMessage);
    QString modifiersInfo (QMouseEvent* pe                           );
    QString buttonsInfo   (QMouseEvent* pe                           );
};

#endif //_MouseObserver_h_
