// ======================================================================
//  SoundPlayer.h
// ======================================================================
//                   This file is a part of the book 
//             "Qt 4.8 Professional programming with C++"
// ======================================================================
//  Copyright (c) 2012 by Max Schlee
//
//  Email : Max.Schlee@neonway.com
//  Blog  : http://www.maxschlee.com
//
//  Social Networks
//  ---------------
//  FaceBook     : http://www.facebook.com/mschlee
//  Twitter      : http://twitter.com/Max_Schlee
//  2Look.me     : http://2look.me/NW100003
//  Xing         : http://www.xing.com/profile/Max_Schlee
//  VKontakte.ru : http://www.vkontakte.ru/max.schlee
// ======================================================================

#ifndef _SoundPlayer_h_
#define _SoundPlayer_h_

#include <QWidget>

class QSound;

// ======================================================================
class SoundPlayer : public QWidget {
    Q_OBJECT
private:
    QSound* m_psnd;

public:
    SoundPlayer(QWidget* pwgt = 0);

public slots:
    void slotPlay       (    );
    void slotStop       (    );
    void slotLoopToggled(bool);
};
#endif  //_SoundPlayer_h_
