// ======================================================================
//  MediaPlayer.h
// ======================================================================
//                   This file is a part of the book 
//             "Qt 4.8 Professional programming with C++"
// ======================================================================
//  Copyright (c) 2012 by Max Schlee
//
//  Email : Max.Schlee@neonway.com
//  Blog  : http://www.maxschlee.com
//
//  Social Networks
//  ---------------
//  FaceBook     : http://www.facebook.com/mschlee
//  Twitter      : http://twitter.com/Max_Schlee
//  2Look.me     : http://2look.me/NW100003
//  Xing         : http://www.xing.com/profile/Max_Schlee
//  VKontakte.ru : http://www.vkontakte.ru/max.schlee
// ======================================================================

#ifndef _MediaPlayer_h_
#define _MediaPlayer_h_

#include <QWidget>

namespace Phonon {
class AudioOutput;
class MediaObject;
}

// ======================================================================
class MediaPlayer : public QWidget {
    Q_OBJECT
private:
    Phonon::AudioOutput* m_pao;
    Phonon::MediaObject* m_pmedia;

public:
    MediaPlayer(QWidget* pwgt = 0);

public slots:
    void slotLoad();
};
#endif  //_MediaPlayer_h_
