// ======================================================================
//  main.cpp
// ======================================================================
//                   This file is a part of the book 
//             "Qt 4.8 Professional programming with C++"
// ======================================================================
//  Copyright (c) 2012 by Max Schlee
//
//  Email : Max.Schlee@neonway.com
//  Blog  : http://www.maxschlee.com
//
//  Social Networks
//  ---------------
//  FaceBook     : http://www.facebook.com/mschlee
//  Twitter      : http://twitter.com/Max_Schlee
//  2Look.me     : http://2look.me/NW100003
//  Xing         : http://www.xing.com/profile/Max_Schlee
//  VKontakte.ru : http://www.vkontakte.ru/max.schlee
// ======================================================================

#include <QApplication>
#include <phonon>

// ----------------------------------------------------------------------
int main(int argc, char** argv)
{
    QApplication        app(argc, argv);
    Phonon::MediaObject media;
    Phonon::AudioOutput ao(Phonon::MusicCategory);

    Phonon::createPath(&media, &ao);

    QObject::connect(&media, SIGNAL(finished()), &app, SLOT(quit()));

    media.setCurrentSource(Phonon::MediaSource("music/yesterday.wav"));
    media.play();

    return app.exec();
}
