// ======================================================================
//  PluginsWindow.h
// ======================================================================
//                   This file is a part of the book 
//             "Qt 4.8 Professional programming with C++"
// ======================================================================
//  Copyright (c) 2012 by Max Schlee
//
//  Email : Max.Schlee@neonway.com
//  Blog  : http://www.maxschlee.com
//
//  Social Networks
//  ---------------
//  FaceBook     : http://www.facebook.com/mschlee
//  Twitter      : http://twitter.com/Max_Schlee
//  2Look.me     : http://2look.me/NW100003
//  Xing         : http://www.xing.com/profile/Max_Schlee
//  VKontakte.ru : http://www.vkontakte.ru/max.schlee
// ======================================================================

#ifndef _PluginsWindow_h_
#define _PluginsWindow_h_

#include <QMainWindow>
#include "interfaces.h"

class QLabel;
class QMenu;
// ======================================================================
class PluginsWindow : public QMainWindow {
Q_OBJECT

private:
    QLabel* m_plbl;
    QMenu*  m_pmnuPlugins;

public:
    PluginsWindow(QWidget* pwgt = 0);

    void loadPlugins(             );
    void addToMenu  (QObject* pobj);

protected slots:
    void slotStringOperation();
};
#endif //_PluginsWindow_h_
