// ======================================================================
//  CustomWidget.h
// ======================================================================
//                   This file is a part of the book 
//             "Qt 4.8 Professional programming with C++"
// ======================================================================
//  Copyright (c) 2012 by Max Schlee
//
//  Email : Max.Schlee@neonway.com
//  Blog  : http://www.maxschlee.com
//
//  Social Networks
//  ---------------
//  FaceBook     : http://www.facebook.com/mschlee
//  Twitter      : http://twitter.com/Max_Schlee
//  2Look.me     : http://2look.me/NW100003
//  Xing         : http://www.xing.com/profile/Max_Schlee
//  VKontakte.ru : http://www.vkontakte.ru/max.schlee
// ======================================================================

#ifndef _CustomWidget_h_
#define _CustomWidget_h_

#include <QFrame>

// ======================================================================
class CustomWidget : public QFrame {
    Q_OBJECT
protected:
    int m_nProgress;

    virtual void paintEvent(QPaintEvent*);

public:
    CustomWidget(QWidget* pwgt = 0);

    virtual QSize sizeHint() const;

signals:
    void progressChanged(int);

public slots:
    void slotSetProgress(int n);
};
#endif  //_CustomWidget_h_
