// ======================================================================
//  MacButton.h
// ======================================================================
//                   This file is a part of the book 
//             "Qt 4.8 Professional programming with C++"
// ======================================================================
//  Copyright (c) 2012 by Max Schlee
//
//  Email : Max.Schlee@neonway.com
//  Blog  : http://www.maxschlee.com
//
//  Social Networks
//  ---------------
//  FaceBook     : http://www.facebook.com/mschlee
//  Twitter      : http://twitter.com/Max_Schlee
//  2Look.me     : http://2look.me/NW100003
//  Xing         : http://www.xing.com/profile/Max_Schlee
//  VKontakte.ru : http://www.vkontakte.ru/max.schlee
// ======================================================================

#ifndef _MacButton_h_
#define _MacButton_h_

#include <QtGui>

#ifdef Q_WS_MAC

#import <qmaccocoaviewcontainer_mac.h>

// ======================================================================
class ButtonContainer : public QMacCocoaViewContainer {
Q_OBJECT
public:
    ButtonContainer(QWidget* pwgt = 0);

    QSize sizeHint() const;
};

// ======================================================================
class MacButton : public QWidget {
Q_OBJECT
public:
    MacButton(QWidget* pwgt = 0);
};

#endif // Q_WS_MAC

#endif //_MacButton_h_
