// ======================================================================
//  main.qml
// ======================================================================
//                   This file is a part of the book 
//             "Qt 4.8 Professional programming with C++"
// ======================================================================
//  Copyright (c) 2012 by Max Schlee
//
//  Email : Max.Schlee@neonway.com
//  Blog  : http://www.maxschlee.com
//
//  Social Networks
//  ---------------
//  FaceBook     : http://www.facebook.com/mschlee
//  Twitter      : http://twitter.com/Max_Schlee
//  2Look.me     : http://2look.me/NW100003
//  Xing         : http://www.xing.com/profile/Max_Schlee
//  VKontakte.ru : http://www.vkontakte.ru/max.schlee
// ======================================================================

import QtQuick 1.0

Rectangle {
    width: 200
    height: 200
    color: "lightgreen"
    Text {
        text: "<H1>Hover Me!</H1>"
        anchors.centerIn: parent
    }
    MouseArea {
       id: mousearea
       anchors.fill: parent
       hoverEnabled: true
       onEntered: parent.color = "red"
       onExited: parent.color = "lightgreen"
    }
}
